using System;
using SqlSugar;
using System.Collections.Generic;

namespace ZR.Model.Models
{
    /// <summary>
    /// ，数据实体对象
    ///
    /// @author admin
    /// @date 2023-05-10
    /// </summary>
    [SugarTable("sap_out_task_record")]
    public class SapOutTaskRecord:BusinessBase
    {
        /// <summary>
        /// 主键ID 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = false)]
        public int Id { get; set; }

        /// <summary>
        /// 出库任务单号 
        /// </summary>
        public string OutTaskNo { get; set; }

        /// <summary>
        /// 生产令号 
        /// </summary>
        public string BomNo { get; set; }

        /// <summary>
        /// 物料类型（外协件，外购件） 
        /// </summary>
        public string Category { get; set; }

        /// <summary>
        /// 物料编码 
        /// </summary>
        public string MaterialCode { get; set; }

        /// <summary>
        /// 物料名称 
        /// </summary>
        public string MaterialName { get; set; }

        /// <summary>
        /// 规格型号/图号 
        /// </summary>
        public string MaterialSpec { get; set; }

        /// <summary>
        /// 出库需求数量 
        /// </summary>
        public int Qty { get; set; }

        /// <summary>
        /// 已出库数量 
        /// </summary>
        public int? OutQty { get; set; }

        /// <summary>
        /// 出库结果。0：未出库；99：出库完成； 
        /// </summary>
        public int Result { get; set; }

        /// <summary>
        /// 单位 
        /// </summary>
        public string Unit { get; set; }
    }
}