﻿using System;
using ZR.Model;
using System.Collections.Generic;
using ZR.Model.Dto.OutStore;
using ZR.Model.Models.OutStore;
using ZR.Model.Models.Statistics;
using ZR.Model.Dto.InStore;
using ZR.Model.Models.InStore;

namespace ZR.Service.Business.IBusinessService.OutStore
{
    /// <summary>
    /// 出库管理/装配记录表service接口
    ///
    /// @author admin
    /// @date 2023-04-14
    /// </summary>
    public interface IOutAssembleRecordService : IBaseService<OutAssembleRecord>
    {
        PagedInfo<OutAssembleRecordDto> GetList(OutAssembleRecordQueryDto parm, bool isPdaQuery = false);
        PagedInfo<OutAssembleRecordStatisticDto> GetStat(OutAssembleRecordQueryDto parm);
        List<GroupByKey> GetDailyStatistics(DateTime BeginTime, DateTime EndTime);

        int AddOutAssembleRecord(OutAssembleRecord parm);

        int UpdateOutAssembleRecord(OutAssembleRecord parm);

        void TruncateOutAssembleRecord();
        List<OutAssembleRecord> GetSelect(OutAssembleRecordQueryDto parm);
    }
}
